--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: r127
Project Date		: 20090125215842

File				: Events.lua
Commit Author		: zhinjio
Commit Revision		: 127
Commit Date			: 20090125215842
************************************************************************
Description	:
	Event handling

TODO		:
	
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "SKG"
local FULLNAME = MODNAME
local SKG = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = SKG

-- All Event Listeners to go here. Everything else should be loaded at this point

function addon:CHAT_MSG_WHISPER( eventName, arg1, sender )
	addon.Debug( "Received CHAT_MSG_WHISPER" )
	-- Handle incoming whispers for bid, suicide, etc
end

function addon:RAID_ROSTER_UPDATE( )
	addon.Debug( "Received RAID_ROSTER_UPDATE" )
	-- handle changes to the raid roster
end

function addon:ADDON_LOADED( eventName, arg1 )
	addon.Debug( "Received  ADDON_LOADED" )
	-- possibly handle other on loaded stuff
end

function addon:UNIT_SPELLCAST_SENT( eventName, spellCaster, spellName, blort, spellTarget )
	addon.Debug( "Received  UNIT_SPELLCAST_SENT" )
	-- I watch this because occasionally a loot event will be the opening of a chest
	-- or something else that does not translate into a mob with a GUID.
	--
	-- So if this spell being cast is "Opening", and the caster is "player", then
	-- save the target data so I reference it later in the LOOT OPENED event
end

function addon:LOOT_OPENED( )
	-- The player who is the master looter should get the goods
	addon.Debug( "Received LOOT_OPENED" )
end

function SKG:GUILD_ROSTER_UPDATE( )
	-- trying to use this instead of the old LibRock/Ace2 "FullyInitialized" event. It is
	-- fail
	addon.Debug( "Received GUILD_ROSTER_UPDATE" )
end

--[[
************************************************************************
CHANGELOG:

Date : 1/25/09
	Rewrite
Date : 10/26/08
	Fixing Ace3 conversion errors. Moving RegisterEvent calls to OnInit
Date : 10/25/08
	Initial attempt with Ace3 instead of LibRock. Probably will require
	major edits once. Added header/footer. Changed the function definitions
	to only use what arguments they really need/use. 
************************************************************************
]]--
